XDKCAL(1)

NAME
xdkcal - Desktop Calendar for X

SYNOPSIS
xdkcal [options]

DESCRIPTION
X Desktop Calendar (xdkcal) is a Calendar for X Window System. It draws calendar on your desktop. You can customize, fontset, color drawing style. This application is completely internationalized so it reads locale database and draw locale specific strings, such as name of months or weeks.

First time you run it, maybe xdkcal says "can't open file home directory. Next time you run xdkcal, xdkcal read configuration from "~/.xdkcalrc". Such configurations can be specified from command line arguments or you can edit "~/.xdkcalrc" directly.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

OPTIONS

-h, --help
    display help message.

-x, --window_x x
    position x

-y, --window_y y
    position y

-f, --fontset fontset
    fontset to write calendar

-C, --default_color color
    default color

-H, --holiday_color color
    holiday color

-S, --saturday_color color
    saturday color

-T, --today_color color
    today color

-M, --month_color color
    month color

-t, --shape on/off
    transparent (default off). If you often change your root window image, you may turn on this option or you can send HUP signal to xdkcal. Honestly I don't recommend you to use thisoption, coz needs lot of CPU power.

-p, --padding padding
    padding

-s, --style style_num
    drawing style (0:normal 1:line)

-m, --draw_month on/off
    draw month (default on)

-w, --draw_week on/off
    draw weeks (default on)

-n, --num_week num
    number of chars for weeks (default 2)

-N, --no_save
    don't save configuration. If you specify this option, xdkcal do NOT save configuraion to .xdkcalrc.

-v, --version
    show version of program.

BUG
I don't know other country's holidays except Japan. If you have any infomation or implementation about holiday function for your locale, please feedback.

When run xdkcal and calendar is drawn under any Window, the calendar is not drawn correctly. Then You need to send HUP signal to the process. It might not be a problem if you run xdkcal when X starts up ;-).

When month chages during xdkcal running, xdkcal keep drawing previous month.

AUTHOR
Jiro SEKIBA <jir@hello.to>